using System;
using System.Collections.Generic;
using System.Text;
using VSSDKAssist.Enums;
using System.Windows.Forms;
using VSSDKAssist.Assets.Editors;

namespace VSSDKAssist.Recipes.Common.Editors
{	
	/// <summary>
	/// UITypeEditor for Visual Studio Editions enum
	/// </summary>
	public class VSEditionEditor : ListViewEditorBase
	{
		/// <summary>
		/// Fills the values.
		/// </summary>
		protected override void FillValues()
		{
			this.Control.Items.Clear();

			foreach(string key in VSEdition.Values.Keys)
			{
				ListViewItem item = new ListViewItem(key);
				item.Tag = VSEdition.Values[key];
				this.Control.Items.Add(item);
			}
		}
	}
}