using System;
using System.Collections.Generic;
using System.Text;
using VSSDKAssist.Enums;
using System.Windows.Forms;
using VSSDKAssist.Assets.Editors;

namespace VSSDKAssist.Recipes.Common.Editors
{
	/// <summary>
	/// UITypeEditor for Visual Studio menu ids enum
	/// </summary>
	public class VSShellMenuIdEditor : ListViewEditorBase
	{
		/// <summary>
		/// Fills the values.
		/// </summary>
		protected override void FillValues()
		{
			this.Control.Items.Clear();

			foreach(string key in VSShellMenuId.Values.Keys)
			{
				ListViewItem item = new ListViewItem(key);
				item.Tag = VSShellMenuId.Values[key];
				this.Control.Items.Add(item);
			}
		}
	}
}