using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.RecipeFramework;
using System.Runtime.Serialization;
using EnvDTE;

namespace VSSDKAssist.Assets.References.Base
{
	/// <summary>
	/// Base recipe reference base class
	/// </summary>
	[System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2240:ImplementISerializableCorrectly"), Serializable]
	public abstract class RecipeReferenceBase : UnboundRecipeReference
	{
		#region Fields
		private DTE visualStudio; 
		#endregion

		#region Constructors
		/// <summary>
		/// Initializes a new instance of the <see cref="RecipeReferenceBase"/> class.
		/// </summary>
		/// <param name="recipe">The recipe.</param>
		protected RecipeReferenceBase(string recipe)
			: base(recipe)
		{
		}
		#endregion

		#region Properties
		/// <summary>
		/// Gets the visual studio.
		/// </summary>
		/// <value>The visual studio.</value>
		protected DTE VisualStudio
		{
			get
			{
				if(this.visualStudio == null)
				{
					this.visualStudio = this.GetService<DTE>(true);
				}

				return this.visualStudio;
			}
		}
		#endregion

		#region ISerializable Members

		/// <summary>
		/// Required constructor for deserialization.
		/// </summary>
		protected RecipeReferenceBase(SerializationInfo info, StreamingContext context)
			: base(info, context)
		{
		}

		#endregion ISerializable Members
	}
}