using System.Collections.Generic;
using VSSDKAssist.Assets.Converters;
using VSSDKAssist.Enums;

namespace VSSDKAssist.Recipes.Common.Converters
{
	/// <summary>
	/// TypeConverter for Visual Studio menu ids enum
	/// </summary>
	public class VSShellMenuIdConverter : StandardValuesConverterBase
	{
		#region Public Implementation
		/// <summary>
		/// Returns a collection of standard values for the data type this type converter is designed for when provided with a format context.
		/// </summary>
		/// <param name="context">An <see cref="T:System.ComponentModel.ITypeDescriptorContext"></see> that provides a format context that can be used to extract additional information about the environment from which this converter is invoked. This parameter or properties of this parameter can be null.</param>
		/// <returns>
		/// A <see cref="T:System.ComponentModel.TypeConverter.StandardValuesCollection"></see> that holds a standard set of valid values, or null if the data type does not support a standard set of values.
		/// </returns>
		public override StandardValuesCollection GetStandardValues(System.ComponentModel.ITypeDescriptorContext context)
		{
			List<string> menuIds = new List<string>();

			foreach(string menuId in VSShellMenuId.Values.Values)
			{
				menuIds.Add(menuId);
			}

			return new StandardValuesCollection(menuIds);
		}
		#endregion
	}
}