using System.Windows.Forms;
using VSSDKAssist.Assets.Editors;
using VSSDKAssist.Enums;

namespace VSSDKAssist.Recipes.Common.Editors
{
	/// <summary>
	/// UITypeEditor for Visual Studio window guids enum
	/// </summary>
	public class WindowGuidEditor : ListViewEditorBase
	{
		/// <summary>
		/// Fills the values.
		/// </summary>
		protected override void FillValues()
		{
			this.Control.Items.Clear();

			foreach(string key in WindowGuid.Values.Keys)
			{
				ListViewItem item = new ListViewItem(key);
				item.Tag = WindowGuid.Values[key];
				this.Control.Items.Add(item);
			}
		}
	}
}
