using System;
using System.Globalization;
using VSSDKAssist.Assets.ValueProviders.Base;

namespace VSSDKAssist.Assets.ValueProviders.Framework
{
	/// <summary>
	/// Value provider for a GUID
	/// </summary>
	public class EmptyGuidValueProvider : ValueProviderBase
	{
		/// <summary>
		/// Called when [begin recipe].
		/// </summary>
		/// <param name="currentValue">The current value.</param>
		/// <param name="newValue">The new value.</param>
		/// <returns></returns>
		public override bool OnBeginRecipe(object currentValue, out object newValue)
		{
			newValue = null;

			if((currentValue == null) && (this.ExecutionStage != Stage.OnBeforeActions))
			{
				newValue = Guid.Empty.ToString("D").ToUpper(CultureInfo.CurrentCulture);
				return true;
			}

			return false;
		}
	}
}
